Skip to main content
GET
/
subscriptions
/
cp
/
api
/
orders
/
{orderId}
/
events
Get a page of order events (paginated)
curl --request GET \
  --url https://www.myshop.com/apps/subscriptions/cp/api/orders/{orderId}/events
{
  "events": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "message": "<string>",
      "attributeToApp": true,
      "attributeToUser": true,
      "appTitle": "<string>"
    }
  ],
  "hasNextPage": true,
  "endCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

orderId
integer<int64>
required

Query Parameters

after
string

Response

200 - */*

OK

events
object[]
hasNextPage
boolean
endCursor
string